package szojatek;

import java.io.BufferedReader;
//import java.io.BufferedWriter;
import java.io.FileReader;
import java.io.FileWriter;
import java.io.PrintWriter;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Scanner;

public class Szojatek {

	public static void main(String[] args){
		try{
			
			//1. feladat - egy szrl eldnteni, hogy van-e benne magnhangz
			
			System.out.print("1. feladat: rjon be egy szt: ");
			
			Scanner scan = new Scanner(System.in);		
			String szo = scan.nextLine();
			//alternatv megolds:
			//BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
			//String szo = br.readLine();
			
			String mgh = "aeiou";
			boolean van = false;
			int chi = 0;
			while (chi < szo.length() && !van) {
				van = (mgh.indexOf(szo.charAt(chi)) > -1);
				chi++;
			}
			System.out.println(van? "Van benne magnhangz": "Nincs benne magnhangz");
			
			//2. feladat - trols nlkl kivlasztani a leghosszabb szt
			
			//FileReader fr = new FileReader("szoveg.txt");  
			BufferedReader olvaso = new BufferedReader(new FileReader("szoveg.txt"));
			
			int maxhossz = 0;
			String maxszo = "";
			while ((szo = olvaso.readLine()) != null) {
				if (szo.length()>maxhossz) {
					maxszo = szo;
					maxhossz = szo.length();
				}
			}
			
			olvaso.close();
			//fr.close();
			
			System.out.println("2. feladat: A leghosszabb sz \t" + maxszo + " \thossza " + maxhossz +" karakter.");
			
			//3. feladat - trols nlkl kivlogatni azokat a szavakat, aminek tbb, mint a fele magnhangz
			//4. feladat elksztse: ltraszavak kigyjtse
			
			System.out.println("3. feladat");
			
			//fr = new FileReader("szoveg.txt");
			olvaso = new BufferedReader(new FileReader("szoveg.txt"));
			
			int szoszam = 0;
			int sokmgh = 0;
			ArrayList<OtCharSzo> joszo = new ArrayList<OtCharSzo>();
			while ((szo = olvaso.readLine()) != null) {
				szoszam++;
				int mgh_db = 0;
				for(chi = 0; chi < szo.length(); chi++){				
					if (mgh.indexOf(szo.charAt(chi))>-1) {
						mgh_db++;
					}
				}
				if (mgh_db * 2 > szo.length()) {
					sokmgh++;
					System.out.print(szo + " ");
				}
				
				if (szo.length() == 5) {
					joszo.add(new OtCharSzo(szo));
				}
			}
			System.out.println();
			
			System.out.format("%d/%d  : %.2f%%\n", sokmgh, szoszam, (double)sokmgh/(double)szoszam*100);
			
			olvaso.close();
			//fr.close();
			
			//4. feladat - adott kzpnek megfelel szavak pl. isz-hez: hiszi, piszi, viszi, risza...
			
			System.out.print("4. feladat: Adjon meg egy hrombets szrszletet: ");
			
			//String szo3 = br.readLine().substring(0, 3);
			String szo3 = scan.nextLine().substring(0, 3); //biztos, ami biztos.
			
			for (OtCharSzo szo5 : joszo) {
				if (szo5.getFok().compareTo(szo3) == 0) {
					System.out.print(szo5.getSzo()+" ");
				}
			}
			System.out.println();
			
			//5. feladat
			
			Collections.sort(joszo);
			ArrayList<OtCharSzo> puffer = new ArrayList<OtCharSzo>();
			
			FileWriter fw = new FileWriter("letra.txt");
			PrintWriter pw = new PrintWriter(fw);
			//alternatv megolds
			//BufferedWriter bw = new BufferedWriter(fw);
			
			for (OtCharSzo szo5 : joszo) {
				if (puffer.isEmpty()) {
					puffer.add(szo5);
				}else if (szo5.getFok().compareTo(puffer.get(0).getFok())==0) {
					puffer.add(szo5);
				}else {
					if (puffer.size() > 1) {
						for (OtCharSzo ocs : puffer) {
							pw.println(ocs.getSzo());
							//bw.write(ocs.getSzo()); bw.newLine();
							}
						pw.println();
						//bw.newLine();
						
					}
					puffer.clear();
					puffer.add(szo5);
				}
			}
			pw.close();
			fw.close();
			
		}catch(Exception e) {						//illene minden IO-ra kln, de rettsgin idben nem ri meg.
			System.err.println("Error: "
					+ e.getMessage());
		}
	}

}
